package com.dji.sdk.cloudapi.psdk;

import com.dji.sdk.common.BaseModel;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * Speaker replay request
 * 
 * @author sean
 * @version 1.7
 * @date 2023/10/16
 */
public class SpeakerReplayRequest extends BaseModel {

    /**
     * PSDK payload device index (0-3)
     */
    @NotNull
    @Min(0)
    private Integer psdkIndex;

    public SpeakerReplayRequest() {
    }

    @Override
    public String toString() {
        return "SpeakerReplayRequest{" +
                "psdkIndex=" + psdkIndex +
                '}';
    }

    public Integer getPsdkIndex() {
        return psdkIndex;
    }

    public SpeakerReplayRequest setPsdkIndex(Integer psdkIndex) {
        this.psdkIndex = psdkIndex;
        return this;
    }
}
